#pragma once

#include "CoreMinimal.h"
#include "SurvivorDynamicAccessoryAnimInstance.h"
#include "K40ProjectileAccessoryAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class THEK40_API UK40ProjectileAccessoryAnimInstance : public USurvivorDynamicAccessoryAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isBeingRemovedBySelf;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isBeingRemovedByOther;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isBeingProjectileGrabbed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _wasRemovedBySelf;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _wasRemovedByOtherSurvivor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _wasRecalledByKiller;

public:
	UK40ProjectileAccessoryAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK40ProjectileAccessoryAnimInstance) { return 0; }
